For the complete documentation index, see llms.txt. This page is also available as Markdown.

Send Transaction

Introduction to Send Transaction of BlockRazor Solana Fast mode and integration methods

Send Transaction is a fast transaction sending interface provided by BlockRazor for Solana, used to send signed transactions to the blockchain with lower latency. This service offers access via HTTP and gRPC, making it suitable for users with high requirements for transaction inclusion speed.

Send Transaction, while maintaining compatibility with existing sending methods, leverages BEF to shorten the transaction path from the client to the Leader node, thereby improving transaction inclusion speed. For Send Transaction's inclusion routing, testing instructions, and Benchamark results, please refer to BenchMarking Solana Send Transaction Service.

Currently, Send Transaction supports two modes: fast and sandwichMitigation.

  • Fast mode is suitable for scenarios with higher requirements for sending speed.

  • The sandwichMitigation model is suitable for scenarios where a balance needs to be struck between speed and specific risk control.

Endpoint

  • POST /sendTransaction

  • gRPC

Request Example

Request Parameter

Parameters
Mandatory
Example
Description

transaction

Mandatory

"4hXTCk……tAnaAT"

Fully signed transactions, compatible with encoding protocal Base64 and Base58, with Base64 being recommended

mode

Optional

"fast" "sandwichMitigation"

BlockRazor offers two modes: Fast and SandwichMitigation, with Fast as the default. In fast mode, transactions are sent based on globally distributed high-performance network and high-quality SWQoS, reaching the Leader node with the lowest latency. In sandwichMitigation mode, BlockRazoz will route transactions to the trusted SWQoS and skip the slot of the blacklisted Leader (dynamically identified by the BlockRazor sandwich monitoring mechanism). In this mode, DO NOT send transactions using durable nonce, as it will cause the sandwich protection to become ineffective.

safeWindow

Optional

3

safeWindow is used to determine the timing of transaction sending in sandwichMitigation mode and represents the number of consecutive slots of whitelist validators. For example, if it is set to 3, the transaction will only be sent when 3 consecutive slots from the current slot belong to whitelist validators. The range of safeWindow is 3-13. The larger the number, the better the effect of mitigating the sandwich attack, but it may have a certain impact on the rate of inclusion. If not set, the default is 3.

revertProtection

Optional

false

The default value is false. If set to true, the transaction will not fail on chain, but the speed of inclusion will be affected and there is a possibility that it cannot be included. Please choose to enable it carefully according to actual needs.

Last updated

Was this helpful?